/*
 * Papillon - Solaris security module -  http://www.roqe.org/papillon
 * Copyright (c) 2000-2002 Konrad Rieck <kr@roqe.org>
 * $Id: headers.h,v 1.3 2002/12/24 23:57:26 rocky Exp $
 *
 * This file includes all needed system headers. If this is not 
 * elegant, let me know. 
 */

#ifndef _HEADERS_H
#define _HEADERS_H

#if defined(_64BIT) && defined(_KERNEL)
#define _SYSCALL32
#endif

#include <sys/systm.h>
#include <sys/syscall.h>
#include <sys/ddi.h>
#include <sys/sunddi.h>
#include <sys/rwlock.h>
#include <sys/ksynch.h>
#include <sys/modctl.h>
#include <sys/types.h>
#include <sys/stropts.h>
#include <sys/kmem.h>
#include <sys/user.h>
#include <sys/uio.h>
#include <sys/vfs.h>
#include <sys/vnode.h>
#include <sys/pathname.h>
#include <sys/dirent.h>
#include <sys/fs/ufs_inode.h>
#include <sys/stat.h>
#include <sys/fcntl.h>
#include <sys/file.h>
#if defined(_KERNEL)
#include <sys/proc.h>
#include <sys/procfs.h>
#include <sys/proc/prdata.h>
#endif
#include <sys/dlpi.h>

#include "changedfiles.h" /* Has to come before utils.h */
#include "utils.h"
#include "refcnt.h"
#include "chfctl.h"

#endif				/* _HEADERS_H */
